> ## Documentation Index
> Fetch the complete documentation index at: https://docs.allium.so/llms.txt
> Use this file to discover all available pages before exploring further.

# List configs

> Returns all Beam pipeline configs for the authenticated user.

Returns every Beam pipeline config the authenticated user has `read` access to (configs they own, configs shared with them as editor/reader, and configs whose `viewer_team` is a team they belong to).

<Note>
  **Required permission:** `read` — owners, editors, readers, and members of teams shared via `viewer_team`.
</Note>

**Response:** [`BeamConfig[]`](/beam/api-reference/configuration#beamconfig)

```bash theme={null}
curl -X GET https://api.allium.so/api/v1/beam \
  -H "X-API-Key: ${ALLIUM_API_KEY}"
```

<Expandable title="Example response">
  ```json theme={null}
  [
    {
      "id": "abc123",
      "name": "USDC Transfer Monitor",
      "description": "Monitors USDC ERC20 transfers on Base",
      "owner_org_team_user_id": "org_xyz",
      "created_at": "2025-01-15T10:30:00Z",
      "updated_at": "2025-01-15T10:30:00Z",
      "tags": ["production", "base"],
      "static_egress_ip": false,
      "pipeline_config": {
        "source": {
          "type": "pubsub",
          "chain": "base",
          "entity": "erc20_token_transfer",
          "is_zerolag": false
        },
        "transforms": [
          {
            "type": "redis_set_filter",
            "uid": "tf-001",
            "filter_expr": "root = this.token_address"
          }
        ],
        "sinks": [
          {
            "type": "kafka",
            "uid": "sk-001",
            "name": "usdc-transfers"
          }
        ]
      }
    }
  ]
  ```
</Expandable>


## OpenAPI

````yaml _openapi/beam-api.json GET /api/v1/beam
openapi: 3.1.0
info:
  title: Allium Beam API
  description: Allium Beam — managed streaming pipelines on top of Allium Datastreams.
  version: 1.0.0
servers:
  - url: https://api.allium.so
security: []
paths:
  /api/v1/beam:
    get:
      tags:
        - BEAM
      summary: Get Beams Handler
      operationId: get_beams_handler_api_v1_beam_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/BeamConfig-Output'
                type: array
                title: Response Get Beams Handler Api V1 Beam Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyBearer: []
components:
  schemas:
    BeamConfig-Output:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        description:
          type: string
          title: Description
        owner_org_team_user_id:
          type: string
          title: Owner Org Team User Id
        organization_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Organization Id
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        tags:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Tags
        static_egress_ip:
          type: boolean
          title: Static Egress Ip
          default: false
        pod_size:
          $ref: '#/components/schemas/BeamPodSize'
          default: S
        pipeline_config:
          $ref: '#/components/schemas/BeamPipelineConfig-Output'
      type: object
      required:
        - id
        - name
        - description
        - owner_org_team_user_id
        - pipeline_config
      title: BeamConfig
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    BeamPodSize:
      type: string
      enum:
        - S
        - M
        - L
        - XL
      title: BeamPodSize
    BeamPipelineConfig-Output:
      properties:
        source:
          oneOf:
            - $ref: '#/components/schemas/BeamSourceConfigPubSub'
            - $ref: '#/components/schemas/BeamSourceConfigKafka'
            - $ref: '#/components/schemas/BeamSourceConfigGCS'
          title: Source
          discriminator:
            propertyName: type
            mapping:
              gcs:
                $ref: '#/components/schemas/BeamSourceConfigGCS'
              kafka:
                $ref: '#/components/schemas/BeamSourceConfigKafka'
              pubsub:
                $ref: '#/components/schemas/BeamSourceConfigPubSub'
        transforms:
          items:
            oneOf:
              - $ref: '#/components/schemas/BeamTransformerConfigV8'
              - $ref: '#/components/schemas/BeamTransformerConfigRedisSetFilter'
            discriminator:
              propertyName: type
              mapping:
                redis_set_filter:
                  $ref: '#/components/schemas/BeamTransformerConfigRedisSetFilter'
                v8:
                  $ref: '#/components/schemas/BeamTransformerConfigV8'
          type: array
          title: Transforms
        sinks:
          items:
            oneOf:
              - $ref: '#/components/schemas/BeamSinkConfigKafka'
              - $ref: '#/components/schemas/BeamSinkConfigSNS'
              - $ref: '#/components/schemas/BeamSinkConfigExternalKafka'
              - $ref: '#/components/schemas/BeamSinkConfigWebhook'
              - $ref: '#/components/schemas/BeamSinkConfigNatsJetstream'
            discriminator:
              propertyName: type
              mapping:
                external_kafka:
                  $ref: '#/components/schemas/BeamSinkConfigExternalKafka'
                kafka:
                  $ref: '#/components/schemas/BeamSinkConfigKafka'
                nats_jetstream:
                  $ref: '#/components/schemas/BeamSinkConfigNatsJetstream'
                sns:
                  $ref: '#/components/schemas/BeamSinkConfigSNS'
                webhook:
                  $ref: '#/components/schemas/BeamSinkConfigWebhook'
          type: array
          minItems: 1
          title: Sinks
      type: object
      required:
        - source
        - transforms
        - sinks
      title: BeamPipelineConfig
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    BeamSourceConfigPubSub:
      properties:
        type:
          type: string
          const: pubsub
          title: Type
          default: pubsub
        chain:
          $ref: '#/components/schemas/Chain'
        entity:
          $ref: '#/components/schemas/BeamSourceEntity'
        is_zerolag:
          type: boolean
          title: Is Zerolag
          default: false
      type: object
      required:
        - chain
        - entity
      title: BeamSourceConfigPubSub
    BeamSourceConfigKafka:
      properties:
        type:
          type: string
          const: kafka
          title: Type
          default: kafka
        chain:
          $ref: '#/components/schemas/Chain'
        entity:
          $ref: '#/components/schemas/BeamSourceEntity'
        bootstrap_servers:
          type: string
          title: Bootstrap Servers
          default: pkc-3w22w.us-central1.gcp.confluent.cloud:9092
        auto_offset_reset:
          type: string
          title: Auto Offset Reset
          default: latest
        security_protocol:
          type: string
          title: Security Protocol
          default: SASL_SSL
        sasl_mechanism:
          $ref: '#/components/schemas/SaslMechanism'
          default: PLAIN
      type: object
      required:
        - chain
        - entity
      title: BeamSourceConfigKafka
    BeamSourceConfigGCS:
      properties:
        type:
          type: string
          const: gcs
          title: Type
          default: gcs
        chain:
          $ref: '#/components/schemas/Chain'
        entity:
          $ref: '#/components/schemas/BeamSourceEntity'
        bucket:
          type: string
          title: Bucket
        prefix:
          type: string
          title: Prefix
        file_format:
          type: string
          title: File Format
          default: jsonl.gz
        delete_after:
          type: boolean
          title: Delete After
          default: true
        line_max_buffer:
          type: integer
          title: Line Max Buffer
          default: 10485760
      type: object
      required:
        - chain
        - entity
        - bucket
        - prefix
      title: BeamSourceConfigGCS
    BeamTransformerConfigV8:
      properties:
        uid:
          type: string
          maxLength: 128
          title: Uid
        type:
          type: string
          const: v8
          title: Type
          default: v8
        script:
          type: string
          title: Script
      type: object
      required:
        - script
      title: BeamTransformerConfigV8
    BeamTransformerConfigRedisSetFilter:
      properties:
        uid:
          type: string
          maxLength: 128
          title: Uid
        type:
          type: string
          const: redis_set_filter
          title: Type
          default: redis_set_filter
        filter_expr:
          type: string
          title: Filter Expr
      type: object
      required:
        - filter_expr
      title: BeamTransformerConfigRedisSetFilter
    BeamSinkConfigKafka:
      properties:
        uid:
          type: string
          maxLength: 128
          title: Uid
        type:
          type: string
          const: kafka
          title: Type
          default: kafka
        name:
          type: string
          title: Name
      type: object
      required:
        - name
      title: BeamSinkConfigKafka
    BeamSinkConfigSNS:
      properties:
        uid:
          type: string
          maxLength: 128
          title: Uid
        type:
          type: string
          const: sns
          title: Type
          default: sns
        name:
          type: string
          title: Name
      type: object
      required:
        - name
      title: BeamSinkConfigSNS
    BeamSinkConfigExternalKafka:
      properties:
        uid:
          type: string
          maxLength: 128
          title: Uid
        type:
          type: string
          const: external_kafka
          title: Type
          default: external_kafka
        name:
          type: string
          minLength: 1
          title: Name
        bootstrap_servers:
          type: string
          minLength: 1
          title: Bootstrap Servers
        username_secret_id:
          type: string
          title: Username Secret Id
        password_secret_id:
          type: string
          title: Password Secret Id
        security_protocol:
          type: string
          title: Security Protocol
          default: SASL_SSL
        sasl_mechanism:
          $ref: '#/components/schemas/SaslMechanism'
          default: PLAIN
      type: object
      required:
        - name
        - bootstrap_servers
        - username_secret_id
        - password_secret_id
      title: BeamSinkConfigExternalKafka
    BeamSinkConfigWebhook:
      properties:
        uid:
          type: string
          maxLength: 128
          title: Uid
        type:
          type: string
          const: webhook
          title: Type
          default: webhook
        name:
          type: string
          minLength: 1
          title: Name
        url:
          type: string
          minLength: 1
          title: Url
        hash_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Hash Key
        enable_http_encoding:
          type: boolean
          title: Enable Http Encoding
          default: false
      type: object
      required:
        - name
        - url
      title: BeamSinkConfigWebhook
    BeamSinkConfigNatsJetstream:
      properties:
        uid:
          type: string
          maxLength: 128
          title: Uid
        type:
          type: string
          const: nats_jetstream
          title: Type
          default: nats_jetstream
        name:
          type: string
          minLength: 1
          title: Name
        url:
          type: string
          minLength: 1
          title: Url
        subject:
          type: string
          minLength: 1
          title: Subject
        token_secret_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Token Secret Id
      type: object
      required:
        - name
        - url
        - subject
      title: BeamSinkConfigNatsJetstream
    Chain:
      type: string
      enum:
        - abstract
        - aleph_zero
        - alienx
        - apechain
        - aptos
        - arbitrum
        - arbitrum_nova
        - arbitrum_sepolia
        - astar
        - avalanche
        - b3
        - base
        - base_sepolia
        - beacon
        - beacon_validators
        - berachain
        - binance
        - bitcoin
        - bitcoin_json
        - blast
        - bsc
        - celo
        - cosmos
        - solana_testnet
        - stellar_testnet
        - polygon_amoy
        - sei_testnet
        - optimism_sepolia
        - bsc_testnet
        - avalanche_fuji
        - robinhood
        - ritual_testnet
        - doge_os_testnet
        - cosmoshub
        - canton
        - ethereum
        - robinhood_testnet
        - beacon_hoodi
        - tempo_testnet
        - ton_testnet
        - sui_testnet
        - ethereal
        - casper
        - stable
        - monad
        - plasma
        - ink_sepolia
        - filecoin
        - iota
        - kadena_1
        - kadena_0
        - filecoin_evm
        - kadena_evm_24_testnet
        - kadena_evm_23_testnet
        - kadena_evm_22_testnet
        - kadena_evm_21_testnet
        - kadena_evm_20_testnet
        - stable_testnet
        - katana
        - botanix
        - x_layer
        - cardano
        - plume
        - logx
        - core
        - stellar
        - ethereum_goerli
        - fantom
        - xrp_ledger
        - vana
        - wemix
        - dydx
        - ethereum_sepolia
        - kava
        - bitcoin_cash
        - celestia
        - codex
        - litecoin
        - mantra
        - dymension
        - babylon
        - ethereum_hoodi
        - winr
        - sx
        - injective
        - educhain
        - dogecoin
        - hyperevm
        - hyperliquid
        - everclear
        - fraxtal
        - gnosis
        - gravity
        - harmony
        - hedera
        - holesky
        - imx_zkevm
        - ink
        - kinto
        - kroma
        - linea
        - manta_pacific
        - mantle
        - metis
        - megaeth
        - mode
        - monad_devnet1
        - monad_testnet
        - near
        - oasys
        - optimism
        - osmosis
        - polygon
        - polygon_zkevm
        - proof_of_play_apex
        - proof_of_play_boss
        - provenance
        - real
        - reya
        - ronin
        - rootstock
        - sanko
        - scroll
        - scroll_sepolia
        - sei
        - solana
        - solana_devnet
        - soneium
        - sonic
        - stacks
        - starknet
        - superposition
        - sui
        - tempo
        - ton
        - tron
        - unichain
        - unichain_sepolia
        - worldchain
        - zksync
        - zora
      title: Chain
    BeamSourceEntity:
      type: string
      enum:
        - log
        - decoded_log
        - erc20_token_transfer
        - erc721_token_transfer
        - erc1155_token_transfer
        - native_token_transfer
        - trc20_token_transfer
        - trc721_token_transfer
        - trc1155_token_transfer
        - nonvoting_transaction
        - token_transfer
        - dex_trade
        - dex_aggregator_trade
        - transaction
        - trace
        - ledger
        - block
        - trade
        - fill
        - order
        - misc_event
      title: BeamSourceEntity
    SaslMechanism:
      type: string
      enum:
        - PLAIN
        - SCRAM-SHA-512
      title: SaslMechanism
  securitySchemes:
    APIKeyBearer:
      type: apiKey
      in: header
      name: X-API-KEY

````